
type constant = True | False

type var = string

type truthtable = (var * constant) list

type formula = 
    Const of constant
  | Var of var
  | Not of formula
  | And of formula * formula
  | Or of formula * formula
  | Implies of formula * formula
  | Iff of formula * formula

